Filewatcher File Search File Search
Catalog
Content Search
» » » » » »

perl-UNIVERSAL-require

Perl module to require() modules from a variable

perl-UNIVERSAL-require is a Perl module to require() modules from a variable.
Homepage:
Package version:0.13
Architecture:noarch
Distribution:Dag
Filename:perl-UNIVERSAL-require-0.13-1.el4.rf.noarch.rpm

/usr/share/man/man3/UNIVERSAL::require.3pm.gz

UNIVERSAL::requirUser Contributed Perl DocumentUNIVERSAL::require(3)



NAME
       UNIVERSAL::require - require() modules from a variable

SYNOPSIS
         # This only needs to be said once in your program.
         require UNIVERSAL::require;

         # Same as "require Some::Module"
         my $module = 'Some::Module';
         $module->require or die $@;

         # Same as "use Some::Modul
more»

/usr/share/doc/perl-UNIVERSAL-require-0.13/Changes

0.13  Mon Mar 30 17:50:10 BST 2009
    Bug Fixes
    * $module->require now always resets $@ which removes a trap of using $@
      to indicate an error, rather than checking $module->require directly.
      [rt.cpan.org 44444]

0.12  Mon Mar 30 10:53:51 BST 2009
    Test Fixes
    * bleadperl introduced a new warning deprecating "use UNIVERSAL"
      (thank goodness) which interfered with t/requi
more»

Browse inside perl-UNIVERSAL-require-0.13-1.el4.rf.noarch.rpm

787 B2014-11-28HEADER  view  987+ mirrors
         [DIR]usr/ (2)  65535+ mirrors

Download perl-UNIVERSAL-require-0.13-1.el4.rf.noarch.rpm

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com